#pragma once
#include "stm32f4xx_rcc.h"
#include "stm32f4xx_gpio.h"
#include "stm32f4xx_tim.h"
#include "stm32f4xx_exti.h"
#include "stm32f4xx_syscfg.h"
#include "time_service.h"

namespace Sonar
{  
    void Init(); //initialization
    void sendPulse(); //send impulse to object
    uint16_t getValue(); //get ranging result
}
